/*
 * Copyright (c) 2017 Hanspeter Portner (dev@open-music-kontrollers.ch)
 *
 * This is free software: you can redistribute it and/or modify
 * it under the terms of the Artistic License 2.0 as published by
 * The Perl Foundation.
 *
 * This source is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * Artistic License 2.0 for more details.
 *
 * You should have received a copy of the Artistic License 2.0
 * along the source as a COPYING file. If not, obtain it from
 * http://www.perlfoundation.org/artistic_license_2_0.
 */

#include <router.h>

LV2_SYMBOL_EXPORT const LV2_Descriptor*
lv2_descriptor(uint32_t index)
{
	switch(index)
	{
		case 0:
			return &router_atom_sprinkler;
		case 1:
			return &router_audio_sprinkler;
		case 2:
			return &router_audio_sprinkler_2;
		case 3:
			return &router_cv_sprinkler;

		case 4:
			return &router_atom_bouncer;
		case 5:
			return &router_audio_bouncer;
		case 6:
			return &router_audio_bouncer_2;
		case 7:
			return &router_cv_bouncer;

		case 8:
			return &router_atom_deflector;
		case 9:
			return &router_audio_deflector;
		case 10:
			return &router_audio_deflector_2;
		case 11:
			return &router_cv_deflector;

		default:
			return NULL;
	}
}
